Bug 75046 - PRINTING Prints off page beyond bottom margin when a row break is in hidden rows
Summary: PRINTING Prints off page beyond bottom margin when a row break is in hidden rows
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print
  Show dependency treegraph
 
Reported: 2014-02-16 08:33 UTC by Chris Severance
Modified: 2019-02-22 21:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Severance 2014-02-16 08:33:52 UTC
LO Calc 4.1.4.2
May be related to Bug 64703

The problem occurs when a ROW BREAK is inside hidden rows. Whether the rows are hidden manually or by a filter doesn't matter.

Steps to reproduce.
New Spreadsheet
Fill A1:A100 with any printable value, enough to make 2 printable pages.
Select Row 10, Insert, Page Break, Row Break
Hit print preview to see expected result: Multi page print with pages correctly formatted between bottom and top margin. The first page is short.
Hide rows 2-12. The ROW BREAK is now hidden.
Hit print preview

Unexpected result: One page print which goes past the bottom margin off the page.

Expected result: Multi page print with pages correctly formatted between top and bottom margin.

Note: Print Preview, Print Dialog Preview, Print, and Export to PDF are affected.

Note: When the bug is activated the print preview screen takes noticeably longer to produce a complete preview. This slow painting can be seen on an i3 based Celeron G530 when the page is set to Landscape and a many column spreadsheet fills the entire preview with text.

****
Another bug:

Show all rows. Hide rows 2-9. Now the row break is at the top of the visible rows.
Format, Print Ranges, Edit, User Defined, Rows to Repeat: $1

Unexpected result: The first page prints a single line of text consisting of the header row with a blank page underneath.

Expected result: The first page should have printed text below the header row. The header row should only print when there is printable data following it.

Note: Microsoft Excel XP also does not handle this correctly so maybe it's best to just leave it.
Comment 1 Dominique Boutry 2014-02-20 12:58:13 UTC
First bug report reproduced with Lib0 4.2.0.4 on Win7.

I propose to limit the current report 75046 to this first bug. Please fill in a second report for your "another bug".
Comment 2 Joel Madero 2015-05-02 15:42:26 UTC Comment hidden (obsolete)
Comment 3 Chris Severance 2015-05-03 07:00:45 UTC
LO 4.4.2 Win7 x86. Still there. No change in behavior.
Comment 4 QA Administrators 2016-09-20 09:38:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920